Subject: bug#51371: 28.0.50; [PATCH] Make list-colors-display sorting support general

From: dalanicolai <[email-masked]>
Date: Mon, 25 Oct 2021 23:46:20 +0200

I see, it is called when setting the face foreground/background via the
customize menu.
I've tested it, and it works still perfectly fine (as expected...
predicting the expected
effects/implications in this case seems quite straightforward to me).

On Mon, 25 Oct 2021 at 00:08, Stefan Kangas <[email-masked]> wrote:

> dalanicolai <[email-masked]> writes:
>
> > (@stefan Did not notice it was a group message)
> >
> > Not really, I think. But if so then I guess we could just call it with
> > list-colors-sort set to nil:
> > ```
> > (let ((list-colors-sort 'nil))
>                           ^ no need to quote nil, BTW.
> >   (list-colors-display (mapcar #'car shr-color-html-colors-alist)
> >                        nil))
> > ```
>
> Do we have any data from e.g. GNU ELPA, MELPA, GitHub or something to
> back that up?
>
> I checked, and we have only one call to `list-colors-display' in the
> Emacs tree: in `widget-color--choose-action'.  Does that function still
> work as it should with your patch?
>